
// *** build a random curved leaf ***

#macro Build_Leaf(num_sections,min_height,max_height,medium_radius,r)

 #local r_leaf=seed(rand(r));
 #local cnt_sections=0;
 #local leaf_height=min_height+(max_height-min_height)*rand(r);
 #local sect_height=leaf_height/num_sections;
 #local leaf_radius=medium_radius*.5+medium_radius*rand(r_leaf);
 #local leaf_decr=leaf_radius/num_sections;
 #local act_height=sect_height;
 #local ant_height=0;
 #local act_z=0;
 #local ant_z=0;
 #local curve_rad=leaf_height*rand(r);
 #local z_decr=sect_height*rand(r);

 mesh{
  #while (cnt_sections<=num_sections)
   triangle{
    <-leaf_radius,ant_height,ant_z>,
    < leaf_radius,ant_height,ant_z>,
    <-leaf_radius,act_height,act_z>
   }
   triangle{
    < leaf_radius,ant_height,ant_z>,
    < leaf_radius,act_height,act_z>,
    <-leaf_radius,act_height,act_z>
   }
   #local ant_z=act_z;
   #local act_z=act_z-z_decr;
   #local ant_height=act_height;
   #local act_height=curve_rad*abs(sin(45*cnt_sections/num_sections));
   #local leaf_radius=leaf_radius-leaf_decr;
   #local cnt_sections=cnt_sections+1;
  #end
 }

#end
