// *** TEXTURES ***
#declare t_caliz=
texture{
 pigment{HuntersGreen/2+GreenYellow*.25}
 finish{Phong_Shiny}
}
#declare t_petal=
texture{
 pigment{
  gradient y
  color_map{
   [0.0 White]
   [0.9 Red]
   [1.0 Red]
  }
 }
 normal{bumps scale .5}
}
#declare t_hoja=
texture{
 pigment{
  gradient y
  turbulence 0.3
  color_map{
   [0 PaleGreen]
   [1 DarkGreen]
  }
  translate -.5*y
  scale 3
 }
 finish{Phong_Shiny}
}
#declare t_estambres=
texture{pigment{Yellow} normal{granite}}

// *** FLOWER PARTS ***

#declare hoja=
height_field{
 gif "hf_hoja1"
 water_level 0.1
 translate -.5
 rotate -90*x
 scale 1.5
}

#declare r_flor=seed(77);
#declare rad_flor=3;
#declare num_caliz=8;
#declare num_petal=10;

// *** MACETA ***
#declare maceta01=
intersection{
 union{
  cylinder{
   <0,-rad_flor*2,0>
   <0,-rad_flor*3.5,0>
   rad_flor*2.5
  }
  cone{
   <0,-rad_flor*2,0>,rad_flor*2.5
   <0,-rad_flor*7>,rad_flor*2
  }
 }
 cylinder{
  <0,0,0>
  <0,-rad_flor*3,0>
  rad_flor*2.4
  inverse
 }
 texture{pigment{Tan}
  normal{granite .1 scale <2,1,3>}
 }
}


#declare flor=#include "i_flor01.inc"
#declare rama=#include "i_rama01.inc"


// *** FLOWERS CIRCLE 01 ***
#declare num_flor=14;
#declare cnt_flor=1;
#declare flow_circ01=
union{
#while (cnt_flor<=num_flor)
 object{flor
  translate (rad_flor*4+rad_flor*rand(r_flor))*y
  rotate (-15-5*rand(r_flor))*x
  translate -(6*rand(r_flor))*z
  rotate (360*cnt_flor/num_flor)*y
 }
 object{rama
  translate (rad_flor*2+rad_flor*2*rand(r_flor))*y
  rotate (-20-5*rand(r_flor))*x
  translate -(6+2*rand(r_flor))*z
  rotate (360*cnt_flor/num_flor)*y
 }
 #declare cnt_flor=cnt_flor+1;
#end
}

#declare planta1=
union{
 object{flow_circ01 translate -rad_flor*y}
 object{maceta01}
}

