/*

  "PERSIANA", Jaime Vives Piqueres, no(C)1998

*/


// *** BASICS ***
#version 3.1;
#include "colors.inc"
#include "textures.inc"
#include "woods.inc"   
#include "metals.inc"
#include "stones.inc"
#include "skies.inc"
#include "macros.inc"


// *** radiosity ***  
global_settings{
  ambient_light <1,1,1>*4
  radiosity{ 
    brightness 3
    count 400
    distance_maximum 3000
    error_bound .33
    gray_threshold .5
    low_error_factor .7
    minimum_reuse .015
    nearest_count 7
    recursion_limit 2
  }
}

// *** RENDER CONTROL ***
#declare ceil_light   =0;
#declare sun_light    =1;
#declare lamp_light   =0;
#declare soft_lights  =1;
#declare trace_room   =1;
#declare trace_floor  =1;
#declare trace_window =1;
#declare trace_sofa   =1;
#declare trace_blind  =1;
#declare trace_table1 =1;
#declare trace_plants =1;
#declare trace_flowers=1;
#declare trace_fruits =1;


// *** ROOM ***
#if (trace_room)
 #include "i_room.inc"
 object{room}
 box{
  <-100,0,-1.2>
  <100,8,0>
  texture{pigment{Flesh} finish{Shiny reflection .05}}
  translate <90,0,300>
 }
#end


// *** FLOOR TILES ***
#if (trace_floor)
 #include "i_floor.inc"
 object{floor_tile
  translate <100,0,200>
 }
#end


// *** WINDOW ***
#if (trace_window)
#include "win01.inc"
object{
 Window_01(140,100,15,T_Wood7,Glass,Bronze_Metal,0,0,seed(111),0,1)
 translate <40,90+50,300+15*.5>
}
#end


// *** WINDOW BLIND ***
#if (trace_blind)
 #include "i_blind.inc"
 object{blind
  translate <40,85,295>
 }
#end


// *** SOFA ***
#if (trace_sofa)
 #include "i_sofa.inc"
 object{sofa1
  rotate 90*y
  translate <150,1,170>
 }
 object{sofa2
  translate <70,1,250>
 }
#include "i_cojin.inc"
object{cojin
 texture{pigment{Firebrick}}
 scale <40,20,40>
 rotate 10*z
 translate <150,40,180>
}
object{cojin
 texture{pigment{Violet}}
 scale <40,15,40>
 rotate -20*x
 translate <70,42,252>
}
#end


// *** LAMP ON THE CORNER ***
#include "i_flamp.inc"
object{feet_lamp
 scale .6
 translate <130,0.05,270>
}
#if (lamp_light)
 light_source{
  <130,200,270>
  Gold*.75
  fade_distance 1000
  fade_power 8
 }
#end


// *** TABLE 1 (IN FRONT OF THE SOFA) ***
#if (trace_table1)
 #include "i_table1.inc"      
 #include "i_keyrng.inc"
 #include "i_vasos.inc"
 union{
 object{table1
  rotate 90*y
  translate <80,0,170>
 }
 object{magazine
  rotate 30*y
  translate <83,10.5,180>
 }
 object{magazine
  rotate -10*y
  translate <78,10.5,150>
 }
 object{keyring             
  translate <80,31,167>
 }
 object{vaso
  translate <90,30.5,175>
 }
 translate <-15,0,0>
 }
#end


// *** BALL ON THE FLOOR ***
#declare r_ball=seed(367);
#declare balon=
sphere{
 <0,0,0>
 .5
 texture{
  pigment{
   quilted
   turbulence 0
   color_map{
    [0 SkyBlue]
    [0.2 SkyBlue]
    [0.2 White]
    [0.35 White]
    [0.35 Red]
    [1 Red]
   }
  }
  finish{Phong_Shiny}
  scale .25
 }
 scale 16
}
object{
 balon
 rotate <360*rand(r_ball),360*rand(r_ball),360*rand(r_ball)>
 translate <110,8.1,158>
}


// *** BROKEN PLATE ***
#include "i_platro.inc"
object{plato_roto
 translate <100,1,144>
}


// *** FLOWERS ON THE TABLE 2 ***
#if (trace_flowers)
#include "i_plant1.inc" // creates the flowers and the pot
object{
 planta1
 scale .8
 translate <65,48,188>
}
#end            


// *** ORANGES (PREVIOUSLY IN THE PLATE, OVER THE TABLE:) ***
#if (trace_fruits)
#declare rad_nar=seed(34);
#declare t_naranja=
texture{
 pigment{Orange}
 normal{crackle scale 0.4}
 finish{Phong_Shiny reflection 0.05}
 translate 2*y
}
#include "i_fruit.inc"
// still on the table
object{naranja scale .5 translate <70,33,164>}
object{naranja scale .5 translate <80,33,136>}
// on the floor
object{naranja scale .5 translate <78,3,149>}
object{naranja scale .5 translate <100,3,160>}
object{naranja scale .5 translate <120,3,132>}
object{naranja scale .5 translate <117,3,205>}
object{naranja scale .5 translate <93,3,148>}
#end

// *** PLANT ON THE CORNER ***
#if (trace_plants)
 #include "i_plants.inc"
 object{ plant
  scale 5
  rotate 360*rand(r_plant)*y
  translate <175,0,275>
 }
#end


// *** SUNLIGHT ***
#if (sun_light)
 #include "i_sunl.inc"
 object{sun}
#end


// *** CEIL LIGHT ***
#if (ceil_light)
 light_source{
  <0,230,-200>
  White*.5+Gold+.25+Pink*.25
  fade_distance 1000
  fade_power 8
 }
#end


// *** SKY SPHERE ***
sky_sphere{
 S_Cloud2
}


// *** CAMERA ***
camera{
 location <-10,180,-290>
 direction 5.5*z
 look_at <103,37,150>
}





